Subject: bug#78509: Coreutils' mv and cp 9.5 do not work properly on old PPC Mac OS X 10.4.11, Tiger

From: Peter Dyballa <[email-masked]>
Date: Thu, 22 May 2025 19:08:06 +0200

Somewhere in mv.c it happens that variable target-directory gets loaded with the value "out\0". Although it should be "\0" or such.

Execution comes to

    443   else if (target_directory)

and then

    445       target_dirfd = target_directory_operand (target_directory, &sb);

I am missing the moment after declarations

    325   char const *target_directory = nullptr;
    326   bool no_target_directory = false;
  
when nullptr value changes to "out\0". I think GNU gdb 6.3.50-20050815 (Apple version gdb-696) (Sat Oct 20 18:20:28 GMT 2007) could be instructed to watch over a variable – but have no idea how. Is this a watchpoint?

For today I am going rebuild coreutils 9.7 with -O0 and am going to check all tests, checking particularly how patched existing-perm-race.sh will perform.

--
Greetings

  Pete

Specifications are for the weak and timid!